LibreOffice: DataPilotSourceMember Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
DataPilotSourceMember Service Reference

represents a member in a data pilot source level. More...

Inheritance diagram for DataPilotSourceMember:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the member.
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
boolean | IsVisible
| specifies whether the member is visible.
boolean | ShowDetails
| specifies whether details for the member are shown.
boolean | Position
| specifies the member's position in its hierarchy level if sorting is manual.

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a member in a data pilot source level.

Members are the data items that will appear in a data pilot table as row headers and column headers of the data range (if used in row or column dimensions), or to calculate the values of the data range (if used in data dimensions).

See also
  com::sun::star::sheet::DataPilotSourceLevel
  com::sun::star::sheet::DataPilotSource

Developers Guide
  Spreadsheet Documents - Members

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the member.

This may be the textual representation of a numerical value.

## Member Data Documentation

## ◆ IsVisible

boolean IsVisible
| property

specifies whether the member is visible.

## ◆ Position

boolean Position
| optionalproperty

specifies the member's position in its hierarchy level if sorting is manual.

Since
  OOo 2.4

## ◆ ShowDetails

boolean ShowDetails
| property

specifies whether details for the member are shown.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotSourceMember.idl